using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication132
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        DataSet ds;
        DataTable dt;
        private void Form1_Load(object sender, EventArgs e)
        {
            #region Get the DataSource
            this.dt = new DataTable("MyTable");

            int nCols = 4;
            int nRows = 10;

            for (int i = 0; i < nCols; i++)
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i)));

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                    dr[j] = string.Format("row{0} col{1}", i, j);
                dt.Rows.Add(dr);
            }

            #endregion

            this.ds = new DataSet();
            ds.Tables.Add(dt);
            this.gridDataBoundGrid1.DataSource = dt;
        }

        //save
        private void button1_Click(object sender, EventArgs e)
        {
            ds.AcceptChanges();
            ds.WriteXml("save.XML");
        }

        //load 
        private void button2_Click(object sender, EventArgs e)
        {
            
            this.gridDataBoundGrid1.DataSource = null;
            try
            {
                ds.Clear();
                ds.ReadXml("save.XML");
                this.gridDataBoundGrid1.DataSource = ds.Tables[0];
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}